Redmine - Defect #8789

Problem in Mongrel Launching After Upgrade from 1.2.0 to 1.2.1
2011-07-12 10:18 - Hyun Park

Status: Closed Start date: 2011-07-12
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 1.2.1
Description

| have used Redmine 1.2.0 for a couple of months (from Bitnami-Redmine 1.2.0 for Win) without any big issues.

| tried to upgrade it to 1.2.1 and | have strictly followed the upgrade instructions
( RedmineUpgrade and http:/bitnami.org/article/how-to-backup-and-update-the-bitnami-redmine-stack ).
However, | could't make it successful. | don't know why.

Although all the services for Redmine seem to be properly started when looking at the Windows Services, a Proxy error message,
"The proxy server received an invalid response from an upstream server. The proxy server could not handle the request GET
/redmine. Reason: Error reading from remote server", is all | can see.

The only clue, Mongrel's log, says:

** Starting Mongrel listening at 0.0.0.0:3002
** Starting Rails with production environment...
** Mounting Rails at /redmine...
D:/DevEnv/Bitnami Redmine/apps/redmine/vendor/rails/activesupport/lib/active_support/dependencies.
rb:466:in "~ load_missing_constant': uninitialized constant ActionController::AbstractRequest (NameE
rror)

from D:/DevEnv/Bitnami Redmine/apps/redmine/vendor/rails/activesupport/lib/active_support/depe
ndencies.rb:106:in "“const_missing'

from D:/DevEnv/Bitnami Redmine/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../11
b/mongrel/rails.rb:151:in ‘rails'

from D:/DevEnv/Bitnami Redmine/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongr
el rails:113:in ‘cloaker_ '

from D:/DevEnv/Bitnami Redmine/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../11
b/mongrel/configurator.rb:149:in ‘call'

from D:/DevEnv/Bitnami Redmine/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../11
b/mongrel/configurator.rb:149:in " listener'

from D:/DevEnv/Bitnami Redmine/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongr
el rails:99:in " cloaker_ '

from D:/DevEnv/Bitnami Redmine/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../11
b/mongrel/configurator.rb:50:in “call'

from D:/DevEnv/Bitnami Redmine/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../11
b/mongrel/configurator.rb:50:in “initialize'

from D:/DevEnv/Bitnami Redmine/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongr
el _rails:84:in "new'

from D:/DevEnv/Bitnami Redmine/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongr
el rails:84:in “run'

from D:/DevEnv/Bitnami Redmine/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/../11
b/mongrel/command.rb:212:in "“run'

from D:/DevEnv/Bitnami Redmine/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongr
el _rails:281

from D:/DevEnv/Bitnami Redmine/ruby/bin/mongrel_rails:19:in "~ load'

from D:/DevEnv/Bitnami Redmine/ruby/bin/mongrel_rails:19

History

#1 - 2011-07-12 10:27 - Hyun Park

[Additional Information]
https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade
http://bitnami.org/article/how-to-backup-and-update-the-bitnami-redmine-stack

The BitNami Redmine Stack | used ships with the following software versions:
- Redmine 1.2.0

- Apache 2.2.17

- ImageMagick 6.5.6-8-Q8

- MySQL 5.0.83

- Subversion 1.6.15

- Ruby 1.8.7-p334-i386-mingw32

- Rails 2.3.11

- RubyGems 1.6.2

| have checked it on the requirements (i.e., Redminelnstall ) and found out there are no conflict.

#2 - 2011-07-13 09:25 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid

Maybe you should try to remove rails from your Redmine vendor directory as you installed it as a gem.

| close the issue as this is not a bug but a setup problem.
